package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkSupplierOrderGetOrderSyncDto struct {
	/*
	   渠道店id     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   外部订单号     */
	OutOrderId *string `json:"out_order_id,omitempty" `

	/*
	   赠券，格式为 券ID_券金额， 金额单位为分     */
	GiftCoupon *string `json:"gift_coupon,omitempty" `

	/*
	   买家id对应的open_uid，加密过     */
	OpenUid *string `json:"open_uid,omitempty" `

	/*
	   扩展属性map     */
	TradeAttributes *string `json:"trade_attributes,omitempty" `

	/*
	   收银班次号     */
	DutyCode *string `json:"duty_code,omitempty" `

	/*
	   打包时间     */
	PackageTime *util.LocalTime `json:"package_time,omitempty" `

	/*
	   会员积分     */
	MemberPoint *string `json:"member_point,omitempty" `

	/*
	   订单状态 PAID：已支付  PACKAGED:已打包 SUCCESS：已收货，订单完成     */
	OrderStatus *string `json:"order_status,omitempty" `

	/*
	   供应商code     */
	MerchantCode *string `json:"merchant_code,omitempty" `

	/*
	   收银员名称     */
	OperatorName *string `json:"operator_name,omitempty" `

	/*
	   淘宝订单号     */
	TbBizOrderId *int64 `json:"tb_biz_order_id,omitempty" `

	/*
	   收银员id     */
	OperatorId *string `json:"operator_id,omitempty" `

	/*
	   会员卡号     */
	MemberCardNum *string `json:"member_card_num,omitempty" `

	/*
	   会员优惠金额     */
	MemberDiscountAmt *int64 `json:"member_discount_amt,omitempty" `

	/*
	   经营店id     */
	StoreId *string `json:"store_id,omitempty" `

	/*
	   邮费     */
	PostFee *int64 `json:"post_fee,omitempty" `

	/*
	   支付时间     */
	PayTime *util.LocalTime `json:"pay_time,omitempty" `

	/*
	   商家总原价     */
	OriginalAmt *int64 `json:"original_amt,omitempty" `

	/*
	   总优惠金额     */
	DiscountAmt *int64 `json:"discount_amt,omitempty" `

	/*
	   盒马订单号     */
	BizOrderId *int64 `json:"biz_order_id,omitempty" `

	/*
	   商场code     */
	SourceMerchantCode *string `json:"source_merchant_code,omitempty" `

	/*
	   订单渠道来源     */
	OrderFrom *int64 `json:"order_from,omitempty" `

	/*
	   subOrders     */
	SubOrders *[]AlibabaWdkSupplierOrderGetSubOrderSyncDto `json:"sub_orders,omitempty" `

	/*
	   下单终端: APP,POS     */
	OrderClient *string `json:"order_client,omitempty" `
}

func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetShopId(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.ShopId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetOutOrderId(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.OutOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetGiftCoupon(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.GiftCoupon = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetOpenUid(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.OpenUid = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetTradeAttributes(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.TradeAttributes = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetDutyCode(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.DutyCode = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetPackageTime(v util.LocalTime) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.PackageTime = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetMemberPoint(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.MemberPoint = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetOrderStatus(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetMerchantCode(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.MerchantCode = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetOperatorName(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.OperatorName = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetTbBizOrderId(v int64) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.TbBizOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetOperatorId(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.OperatorId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetMemberCardNum(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.MemberCardNum = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetMemberDiscountAmt(v int64) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.MemberDiscountAmt = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetStoreId(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.StoreId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetPostFee(v int64) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.PostFee = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetPayTime(v util.LocalTime) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.PayTime = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetOriginalAmt(v int64) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.OriginalAmt = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetDiscountAmt(v int64) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.DiscountAmt = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetBizOrderId(v int64) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.BizOrderId = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetSourceMerchantCode(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.SourceMerchantCode = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetOrderFrom(v int64) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.OrderFrom = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetSubOrders(v []AlibabaWdkSupplierOrderGetSubOrderSyncDto) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.SubOrders = &v
	return s
}
func (s *AlibabaWdkSupplierOrderGetOrderSyncDto) SetOrderClient(v string) *AlibabaWdkSupplierOrderGetOrderSyncDto {
	s.OrderClient = &v
	return s
}
